Bug 238505 - x11-toolkits/scintilla & editors/scite: Update to 4.2.0
Summary: x11-toolkits/scintilla & editors/scite: Update to 4.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-11 19:38 UTC by Naram Qashat
Modified: 2019-07-10 17:48 UTC (History)
1 user (show)

See Also:


Attachments
scintilla-4.1.6.patch (2.35 KB, patch)
2019-06-11 19:38 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff
scite-4.1.6.patch (3.37 KB, patch)
2019-06-11 19:39 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff
scintilla-4.1.7.patch (2.35 KB, patch)
2019-06-15 23:22 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff
scite-4.1.7.patch (3.37 KB, patch)
2019-06-15 23:23 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff
scintilla-4.2.0.patch (2.35 KB, patch)
2019-07-10 02:02 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff
scite-4.2.0.patch (3.37 KB, patch)
2019-07-10 02:02 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2019-06-11 19:38:56 UTC
Created attachment 204994 [details]
scintilla-4.1.6.patch

* Update both to 4.1.6
* Update distinfo on both
* Add gnome to USES on both
* Update makefile patches on both
* Removed src/EditorConfig.cxx patch on editors/scite

Full changelog can be found here:
https://www.scintilla.org/ScintillaHistory.html

Tested with poudriere for 12-i386, 12-amd64, 11-i386 and 11-amd64. Passes portlint.

scite patch will be in the next update.
Comment 1 Naram Qashat 2019-06-11 19:39:19 UTC
Created attachment 204995 [details]
scite-4.1.6.patch
Comment 2 Naram Qashat 2019-06-15 23:22:59 UTC
Created attachment 205092 [details]
scintilla-4.1.7.patch

Just a few days later, 4.1.7 was released, so replacing the patches. All the notes in the first comment still apply.
Comment 3 Naram Qashat 2019-06-15 23:23:22 UTC
Created attachment 205093 [details]
scite-4.1.7.patch
Comment 4 Naram Qashat 2019-07-10 02:01:52 UTC
A few days ago, Scintilla and SciTE 4.2.0 came out. Updating the report with that. All the notes in the first comment still apply.
Comment 5 Naram Qashat 2019-07-10 02:02:14 UTC
Created attachment 205639 [details]
scintilla-4.2.0.patch

A few days ago, Scintilla and SciTE 4.2.0 came out. Updating the report with that. All the notes in the first comment still apply.
Comment 6 Naram Qashat 2019-07-10 02:02:35 UTC
Created attachment 205640 [details]
scite-4.2.0.patch
Comment 7 Kurt Jaeger freebsd_committer 2019-07-10 17:07:57 UTC
testbuilds@work
Comment 8 Kurt Jaeger freebsd_committer 2019-07-10 17:47:59 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2019-07-10 17:48:15 UTC
A commit references this bug:

Author: pi
Date: Wed Jul 10 17:47:56 UTC 2019
New revision: 506375
URL: https://svnweb.freebsd.org/changeset/ports/506375

Log:
  x11-toolkits/scintilla: update 4.1.0 -> 4.2.0
  editors/scite: update 4.1.0 -> 4.2.0

  PR:		238505
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
  Relnotes:	https://www.scintilla.org/ScintillaHistory.html

Changes:
  head/editors/scite/Makefile
  head/editors/scite/distinfo
  head/editors/scite/files/patch-gtk_makefile
  head/editors/scite/files/patch-src_EditorConfig.cxx
  head/x11-toolkits/scintilla/Makefile
  head/x11-toolkits/scintilla/distinfo
  head/x11-toolkits/scintilla/files/patch-makefile